document.addEventListener('DOMContentLoaded', () => {
  // Add smooth hover interactions
  const links = document.querySelectorAll('.link-card');
  
  links.forEach(link => {
    link.addEventListener('mousemove', (e) => {
      const rect = link.getBoundingClientRect();
      const x = e.clientX - rect.left;
      const y = e.clientY - rect.top;
      
      link.style.setProperty('--mouse-x', `${x}px`);
      link.style.setProperty('--mouse-y', `${y}px`);
    });
  });
});